
QGIS Application - Bug report #15875

Importing a POINT layer in Browser always returns MULTIPOINT

2016-11-21 11:04 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Browser

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23793

Description

Importing a shapefile of points results in a (generally undesirable) MULTIPOINT, without a possibility of choice for the user

Associated revisions

Revision 772adec5 - 2018-02-25 05:22 PM - Alessandro Pasotti 

[bugfix] Respect multi-single part when importing

Fixes #15875

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-02-24 03:30 PM - Paolo Cavallini

- Affected QGIS version changed from 2.18.0 to 3.0.0

- Assignee set to Alessandro Pasotti

Tentatively assigning.

#3 - 2018-02-25 05:31 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/6452

might be a partial fix: tested only d&d of sigle and multi-part shapefiles to gpkg and postgres.

#4 - 2018-02-26 10:58 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/6452


Applied in changeset commit:qgis|772adec552a374e380048dcd72cd35884e42e63f.

#5 - 2018-02-27 07:09 AM - Paolo Cavallini

- Status changed from Closed to Reopened

So is this a partial of final fix?

#6 - 2018-02-27 07:10 AM - Paolo Cavallini

Am I correct that this applies to points only?

Thanks.

#7 - 2018-03-01 11:08 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed
